#!/bin/bash
RAW_IN="raw"
for FILE in `ls ${RAW_IN}`
do
	NAME=`echo $FILE | cut -d "." -f1`
	if [ ! -f "${NAME}.ogg" ]
	then
		ffmpeg -i "${RAW_IN}/${NAME}.wav" -acodec libvorbis -ab 128k "${NAME}.ogg"
	fi
	if [ ! -f "${NAME}.mp3" ]
	then
		ffmpeg -i "${RAW_IN}/${NAME}.wav" -ab 128k "${NAME}.mp3"
	fi
done
